Documentation Index

Fetch the complete documentation index at: https://support.dise.com/llms.txt

Use this file to discover all available pages before exploring further.

New Dise One & CX Portal release! Click this link to read the release notes: Dise One 5.0 & CX Portal V42

Get status history for explicit IDs

Prev Next
Post
/status/{token}
Path parameters
token
stringRequired

Short-lived access token returned by GET /token.

Body parameters
object
ids
Array of string (EncodedId) Required
Min items1
string

Encoded DISE UID for a location, display, or player.

type
Array of string

Status types. Arrays are recommended for POST.

string
source
Array of string

Status sources. Arrays are recommended for POST.

string
startDate
string

Optional timestamp filter.

endDate
string

Optional timestamp filter.

limit
integer
Minimum1
Default1000
page
integer
Minimum1
Default1
Responses
200

Grouped status records.

Expand All
object
displays
Array of object (StatusRecord)
object
playerId
string

Encoded DISE UID for a location, display, or player.

displayId
string

Encoded DISE UID for a location, display, or player.

type
string
timestamp
string
source
string
players
Array of object (StatusRecord)
object
playerId
string

Encoded DISE UID for a location, display, or player.

displayId
string

Encoded DISE UID for a location, display, or player.

type
string
timestamp
string
source
string
property*
Array of object (StatusRecord) additionalProperties
object
playerId
string

Encoded DISE UID for a location, display, or player.

displayId
string

Encoded DISE UID for a location, display, or player.

type
string
timestamp
string
source
string
401

Authentication failed, or the path token is invalid or expired.

object
reason
string

Error category.

message
string

Human-readable error message.

timestamp
string

Error timestamp.

status
integer

HTTP status code.

422

Invalid query or body parameters.

object
reason
string

Error category.

message
string

Human-readable error message.

timestamp
string

Error timestamp.

status
integer

HTTP status code.

500

Unexpected server error.

object
reason
string

Error category.

message
string

Human-readable error message.

timestamp
string

Error timestamp.

status
integer

HTTP status code.